Module
Inhalte
Index 🔎︎

# Funktion InStr

Gibt die Position einer vorhandenen Zeichenkette in einem anderen Zeichenkettenausdruck zurück.

Die Funktion InStr gibt die Position des Zeichens zurück, ab dem die gesuchte Zeichenkette in der zu durchsuchenden Zeichenkette enthalten ist. Ist die gesuchte Zeichenkette dort nicht enthalten, wird der Wert 0 zurückgegeben.

## Syntax:

    InStr ([Anfang As Integer,] Text1 As String, Text2 As String[, Vergleich])

## Rückgabewert:

Integer

## Parameter:

Anfang: Ein beliebiger numerischer Ausdruck, der die Position innerhalb der Zeichenkette festlegt, an der die Suche nach der angegebenen Unterzeichenkette begonnen werden soll. Wird dieser Parameter übergangen, so beginnt die Suche beim ersten Zeichen.

Text1: Der zu durchsuchende Zeichenkettenausdruck.

Text2: Der zu suchende Zeichenkettenausdruck.

Vergleich: Optionaler, numerischer Ausdruck, der die Art des Zeichenkettenvergleichs bestimmt. Dem Parameter kann der Wert 0 oder 1 zugewiesen werden. Die Voreinstellung 0 führt zu einem binären Vergleich, der Wert 1 zu einem Textvergleich ohne Berücksichtigung der Groß- und Kleinschreibung.

Der Parameter Compare darf nicht gesetzt werden, wenn der erste Übergabeparameter weggelassen wurde. Andernfalls kommt es zu einem Laufzeitfehler.

## Fehlercodes:

5 Ungültiger Prozeduraufruf

## Beispiel:

    Sub ExamplePosition

    Dim sInput As String

    Dim iPos As Integer

        sInput = "Star Office"

        iPos = Instr(sInput,"v")

        Print iPos

    End Sub